Bug 1420029 - [RFE] automated building of all-in-one gold openshift images [NEEDINFO]
Summary: [RFE] automated building of all-in-one gold openshift images
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Justin Pierce
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 16:04 UTC by Javier Ramirez
Modified: 2019-08-08 02:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 19:00:48 UTC
Target Upstream Version:
pdwyer: needinfo? (jupierce)


Attachments (Terms of Use)

Description Javier Ramirez 2017-02-07 16:04:23 UTC
Description of problem:

We would like to address 2 topics with using "golden" images for slave nodes:
- Ensure that only verified images may run in our AWS account. On such a verified image, the Ansible user should either not be necessary, or not run as root. To achieve this, we feel it's probably easiest to have only some minor re-configurations performed by a AWS init script (http://docs.aws.amazon.com/AWSEC2/latest/UserGuide/AmazonLinuxAMIBasics.html#CloudInit).
- Use this golden image to instantiate EC2 instances via autoscaling groups.

Comment 1 Javier Ramirez 2017-02-07 16:05:48 UTC
Some upstream work has been done at:
https://github.com/openshift/svt/tree/master/image_provisioner


Note You need to log in before you can comment on or make changes to this bug.